%define modname pinba
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B11_%{modname}.ini

Summary:	PHP extension for Pinba
Name:		php-%{modname}
Version:	0.0.6
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pinba.org/
Source0:	http://pinba.org/files/pinba_extension-%{version}.tgz
Source1:	B11_pinba.ini
BuildRequires:	protobuf-devel
BuildRequires:	php-devel >= 3:5.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pinba is a statistics server for PHP using MySQL as a read-only interface.

%prep

%setup -q -n pinba_extension-%{version}
#[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc NEWS README package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Wed Aug 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.6-4mdv2011.0
+ Revision: 696455
- rebuilt for php-5.3.8

* Fri Aug 19 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.6-3
+ Revision: 695450
- rebuilt for php-5.3.7

* Mon Mar 21 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.6-2
+ Revision: 647239
- fix build, again...
- fix build
- rebuilt for php-5.3.6
- 0.0.6

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-6mdv2011.0
+ Revision: 629742
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-5mdv2011.0
+ Revision: 628048
- ensure it's built without automake1.7

* Tue Nov 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-4mdv2011.0
+ Revision: 600180
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-3mdv2011.0
+ Revision: 588718
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-2mdv2010.1
+ Revision: 514632
- rebuilt for php-5.3.2

* Sat Feb 20 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-1mdv2010.1
+ Revision: 508730
- import php-pinba


* Sat Feb 20 2010 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-1mdv2010.0
- initial Mandriva package
